
QGIS Application - Bug report #2818

Rule-based render categories not showing in layer or composer legends

2010-06-17 02:59 PM - John Tull

Status: Closed

Priority: Low

Assignee: Mayeul Kauffmann

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 12878

Description

Using the new rule-based rendering option for symbols, there are no category items in the layer legend. The same is true in the

composer.

History

#1 - 2010-12-16 12:22 PM - Martin Dobias

- Status changed from Open to Closed

- Resolution set to fixed

This has been fixed (). See #2832

#2 - 2010-12-19 01:57 PM - Mayeul Kauffmann

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Having a real label  rather than a long, hard to read rule would be prettier (especially e.g. when filtering OSM tags for non-English speaking users). I've

implemented it in code that I will soon release in a patch.

#3 - 2010-12-19 01:59 PM - Mayeul Kauffmann

- Status changed from Feedback to Open

#4 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority
#8 - 2014-10-27 01:02 PM - Nyall Dawson

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

This is fixed now, isn't it?

#9 - 2014-10-28 08:31 AM - John Tull

- Resolution set to fixed/implemented

Yes, I've closed it. Now there is a Label field before the Rule expression.

#10 - 2014-10-29 12:11 PM - Giovanni Manghi

- Status info deleted (0)

- Operating System deleted (All)

- Status changed from Feedback to Closed
